<?php
/**
 * @var \Magento\Framework\View\Element\Template $block
 * @var \Magento\Framework\Escaper $escaper
 * @var \Amasty\AdvancedReview\ViewModel\Reviews\Product\View\ListView\WriteReviewButton $viewModel
 */

$viewModel = $block->getViewModel();
?>

<?php if ($viewModel && $viewModel->isCanRender()): ?>
    <div class="amreview-add-new">
        <a href="<?= $escaper->escapeUrl($viewModel->getButtonUrl()) ?>"
           title="<?= $escaper->escapeHtml(__('Write a review')) ?>"
           id="amreview-toform"
           data-amreview-js="amreview-toform"
           data-amsl-scroll-to="#review-form"
           class="action primary amreview-button">
            <?= $escaper->escapeHtml(__('Write a review'));?>
        </a>
        <p class="amreview-label">
            <?= $escaper->escapeHtml(__('Share your thoughts with other customers'));?>
        </p>
    </div>
<?php endif; ?>
